
<template>
<!--  <cl-container :hideSettingBtn="true">-->
<!--    <template v-slot:default>-->
      <div>
        <temp-table ref="tempTable" @updateTimeSetting="updateTimeSetting"/>
        <time-setting ref="timeSetting"/>
        <temp-power-chart ref="tomePowerChart"/>
      </div>
<!--    </template>-->
<!--  </cl-container>-->
</template>


<script>
import ClContainer from './../ClContainer.vue'
import TempTable from "./TempTable.vue";
import TimeSetting from "./TimeSetting.vue";
import TempPowerChart from "./TempPowerChart.vue";
export default {
  name:'DzjkClpzXftg',
  components:{ClContainer,TempTable,TimeSetting,TempPowerChart},
  data() {
    return {

    }
  },
  methods:{
    init(){
      this.$nextTick(() => {
        this.$refs.tempTable.init()
        this.$refs.timeSetting.init()
        this.$refs.tomePowerChart.init()
      })
    },
    changeSiteId(){
      this.$nextTick(() => {
        this.$refs.tempTable.changeSiteId()
        this.$refs.timeSetting.changeSiteId()
        this.$refs.tomePowerChart.changeSiteId()
      })
    },
    updateTimeSetting(){
        this.$refs.timeSetting.init()
        this.$refs.tomePowerChart.init()
    }
  },
  mounted(){

  }
}
</script>

<style scoped lang="scss">
::v-deep{
  .common-card-container .el-card__header{
    padding:5px 20px;
    height:44px;
    .card-title{
      line-height: 34px;
    }
  }
}


</style>
